Index: XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/iinterpolate_axis_attr.F90
===================================================================
--- XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/iinterpolate_axis_attr.F90	(revision 1780)
+++ XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/iinterpolate_axis_attr.F90	(revision 2338)
@@ -12,5 +12,6 @@
 
   SUBROUTINE xios(set_interpolate_axis_attr)  &
-    ( interpolate_axis_id, coordinate, order, type )
+    ( interpolate_axis_id, coordinate, coordinate_dst, coordinate_src, extrapolate, order, type  &
+     )
 
     IMPLICIT NONE
@@ -18,4 +19,8 @@
       CHARACTER(LEN=*), INTENT(IN) ::interpolate_axis_id
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: coordinate
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: coordinate_dst
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: coordinate_src
+      LOGICAL  , OPTIONAL, INTENT(IN) :: extrapolate
+      LOGICAL (KIND=C_BOOL) :: extrapolate_tmp
       INTEGER  , OPTIONAL, INTENT(IN) :: order
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
@@ -24,28 +29,40 @@
       (interpolate_axis_id,interpolate_axis_hdl)
       CALL xios(set_interpolate_axis_attr_hdl_)   &
-      ( interpolate_axis_hdl, coordinate, order, type )
+      ( interpolate_axis_hdl, coordinate, coordinate_dst, coordinate_src, extrapolate, order, type  &
+       )
 
   END SUBROUTINE xios(set_interpolate_axis_attr)
 
   SUBROUTINE xios(set_interpolate_axis_attr_hdl)  &
-    ( interpolate_axis_hdl, coordinate, order, type )
+    ( interpolate_axis_hdl, coordinate, coordinate_dst, coordinate_src, extrapolate, order, type  &
+     )
 
     IMPLICIT NONE
       TYPE(txios(interpolate_axis)) , INTENT(IN) :: interpolate_axis_hdl
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: coordinate
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: coordinate_dst
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: coordinate_src
+      LOGICAL  , OPTIONAL, INTENT(IN) :: extrapolate
+      LOGICAL (KIND=C_BOOL) :: extrapolate_tmp
       INTEGER  , OPTIONAL, INTENT(IN) :: order
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
 
       CALL xios(set_interpolate_axis_attr_hdl_)  &
-      ( interpolate_axis_hdl, coordinate, order, type )
+      ( interpolate_axis_hdl, coordinate, coordinate_dst, coordinate_src, extrapolate, order, type  &
+       )
 
   END SUBROUTINE xios(set_interpolate_axis_attr_hdl)
 
   SUBROUTINE xios(set_interpolate_axis_attr_hdl_)   &
-    ( interpolate_axis_hdl, coordinate_, order_, type_ )
+    ( interpolate_axis_hdl, coordinate_, coordinate_dst_, coordinate_src_, extrapolate_, order_  &
+    , type_ )
 
     IMPLICIT NONE
       TYPE(txios(interpolate_axis)) , INTENT(IN) :: interpolate_axis_hdl
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: coordinate_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: coordinate_dst_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: coordinate_src_
+      LOGICAL  , OPTIONAL, INTENT(IN) :: extrapolate_
+      LOGICAL (KIND=C_BOOL) :: extrapolate__tmp
       INTEGER  , OPTIONAL, INTENT(IN) :: order_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type_
@@ -56,4 +73,20 @@
       ENDIF
 
+      IF (PRESENT(coordinate_dst_)) THEN
+        CALL cxios_set_interpolate_axis_coordinate_dst &
+      (interpolate_axis_hdl%daddr, coordinate_dst_, len(coordinate_dst_))
+      ENDIF
+
+      IF (PRESENT(coordinate_src_)) THEN
+        CALL cxios_set_interpolate_axis_coordinate_src &
+      (interpolate_axis_hdl%daddr, coordinate_src_, len(coordinate_src_))
+      ENDIF
+
+      IF (PRESENT(extrapolate_)) THEN
+        extrapolate__tmp = extrapolate_
+        CALL cxios_set_interpolate_axis_extrapolate &
+      (interpolate_axis_hdl%daddr, extrapolate__tmp)
+      ENDIF
+
       IF (PRESENT(order_)) THEN
         CALL cxios_set_interpolate_axis_order &
@@ -69,5 +102,6 @@
 
   SUBROUTINE xios(get_interpolate_axis_attr)  &
-    ( interpolate_axis_id, coordinate, order, type )
+    ( interpolate_axis_id, coordinate, coordinate_dst, coordinate_src, extrapolate, order, type  &
+     )
 
     IMPLICIT NONE
@@ -75,4 +109,8 @@
       CHARACTER(LEN=*), INTENT(IN) ::interpolate_axis_id
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: coordinate
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: coordinate_dst
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: coordinate_src
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: extrapolate
+      LOGICAL (KIND=C_BOOL) :: extrapolate_tmp
       INTEGER  , OPTIONAL, INTENT(OUT) :: order
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
@@ -81,28 +119,40 @@
       (interpolate_axis_id,interpolate_axis_hdl)
       CALL xios(get_interpolate_axis_attr_hdl_)   &
-      ( interpolate_axis_hdl, coordinate, order, type )
+      ( interpolate_axis_hdl, coordinate, coordinate_dst, coordinate_src, extrapolate, order, type  &
+       )
 
   END SUBROUTINE xios(get_interpolate_axis_attr)
 
   SUBROUTINE xios(get_interpolate_axis_attr_hdl)  &
-    ( interpolate_axis_hdl, coordinate, order, type )
+    ( interpolate_axis_hdl, coordinate, coordinate_dst, coordinate_src, extrapolate, order, type  &
+     )
 
     IMPLICIT NONE
       TYPE(txios(interpolate_axis)) , INTENT(IN) :: interpolate_axis_hdl
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: coordinate
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: coordinate_dst
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: coordinate_src
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: extrapolate
+      LOGICAL (KIND=C_BOOL) :: extrapolate_tmp
       INTEGER  , OPTIONAL, INTENT(OUT) :: order
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
 
       CALL xios(get_interpolate_axis_attr_hdl_)  &
-      ( interpolate_axis_hdl, coordinate, order, type )
+      ( interpolate_axis_hdl, coordinate, coordinate_dst, coordinate_src, extrapolate, order, type  &
+       )
 
   END SUBROUTINE xios(get_interpolate_axis_attr_hdl)
 
   SUBROUTINE xios(get_interpolate_axis_attr_hdl_)   &
-    ( interpolate_axis_hdl, coordinate_, order_, type_ )
+    ( interpolate_axis_hdl, coordinate_, coordinate_dst_, coordinate_src_, extrapolate_, order_  &
+    , type_ )
 
     IMPLICIT NONE
       TYPE(txios(interpolate_axis)) , INTENT(IN) :: interpolate_axis_hdl
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: coordinate_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: coordinate_dst_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: coordinate_src_
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: extrapolate_
+      LOGICAL (KIND=C_BOOL) :: extrapolate__tmp
       INTEGER  , OPTIONAL, INTENT(OUT) :: order_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type_
@@ -113,4 +163,20 @@
       ENDIF
 
+      IF (PRESENT(coordinate_dst_)) THEN
+        CALL cxios_get_interpolate_axis_coordinate_dst &
+      (interpolate_axis_hdl%daddr, coordinate_dst_, len(coordinate_dst_))
+      ENDIF
+
+      IF (PRESENT(coordinate_src_)) THEN
+        CALL cxios_get_interpolate_axis_coordinate_src &
+      (interpolate_axis_hdl%daddr, coordinate_src_, len(coordinate_src_))
+      ENDIF
+
+      IF (PRESENT(extrapolate_)) THEN
+        CALL cxios_get_interpolate_axis_extrapolate &
+      (interpolate_axis_hdl%daddr, extrapolate__tmp)
+        extrapolate_ = extrapolate__tmp
+      ENDIF
+
       IF (PRESENT(order_)) THEN
         CALL cxios_get_interpolate_axis_order &
@@ -126,5 +192,6 @@
 
   SUBROUTINE xios(is_defined_interpolate_axis_attr)  &
-    ( interpolate_axis_id, coordinate, order, type )
+    ( interpolate_axis_id, coordinate, coordinate_dst, coordinate_src, extrapolate, order, type  &
+     )
 
     IMPLICIT NONE
@@ -133,4 +200,10 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: coordinate
       LOGICAL(KIND=C_BOOL) :: coordinate_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: coordinate_dst
+      LOGICAL(KIND=C_BOOL) :: coordinate_dst_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: coordinate_src
+      LOGICAL(KIND=C_BOOL) :: coordinate_src_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: extrapolate
+      LOGICAL(KIND=C_BOOL) :: extrapolate_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: order
       LOGICAL(KIND=C_BOOL) :: order_tmp
@@ -141,10 +214,12 @@
       (interpolate_axis_id,interpolate_axis_hdl)
       CALL xios(is_defined_interpolate_axis_attr_hdl_)   &
-      ( interpolate_axis_hdl, coordinate, order, type )
+      ( interpolate_axis_hdl, coordinate, coordinate_dst, coordinate_src, extrapolate, order, type  &
+       )
 
   END SUBROUTINE xios(is_defined_interpolate_axis_attr)
 
   SUBROUTINE xios(is_defined_interpolate_axis_attr_hdl)  &
-    ( interpolate_axis_hdl, coordinate, order, type )
+    ( interpolate_axis_hdl, coordinate, coordinate_dst, coordinate_src, extrapolate, order, type  &
+     )
 
     IMPLICIT NONE
@@ -152,4 +227,10 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: coordinate
       LOGICAL(KIND=C_BOOL) :: coordinate_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: coordinate_dst
+      LOGICAL(KIND=C_BOOL) :: coordinate_dst_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: coordinate_src
+      LOGICAL(KIND=C_BOOL) :: coordinate_src_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: extrapolate
+      LOGICAL(KIND=C_BOOL) :: extrapolate_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: order
       LOGICAL(KIND=C_BOOL) :: order_tmp
@@ -158,10 +239,12 @@
 
       CALL xios(is_defined_interpolate_axis_attr_hdl_)  &
-      ( interpolate_axis_hdl, coordinate, order, type )
+      ( interpolate_axis_hdl, coordinate, coordinate_dst, coordinate_src, extrapolate, order, type  &
+       )
 
   END SUBROUTINE xios(is_defined_interpolate_axis_attr_hdl)
 
   SUBROUTINE xios(is_defined_interpolate_axis_attr_hdl_)   &
-    ( interpolate_axis_hdl, coordinate_, order_, type_ )
+    ( interpolate_axis_hdl, coordinate_, coordinate_dst_, coordinate_src_, extrapolate_, order_  &
+    , type_ )
 
     IMPLICIT NONE
@@ -169,4 +252,10 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: coordinate_
       LOGICAL(KIND=C_BOOL) :: coordinate__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: coordinate_dst_
+      LOGICAL(KIND=C_BOOL) :: coordinate_dst__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: coordinate_src_
+      LOGICAL(KIND=C_BOOL) :: coordinate_src__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: extrapolate_
+      LOGICAL(KIND=C_BOOL) :: extrapolate__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: order_
       LOGICAL(KIND=C_BOOL) :: order__tmp
@@ -180,4 +269,22 @@
       ENDIF
 
+      IF (PRESENT(coordinate_dst_)) THEN
+        coordinate_dst__tmp = cxios_is_defined_interpolate_axis_coordinate_dst &
+      (interpolate_axis_hdl%daddr)
+        coordinate_dst_ = coordinate_dst__tmp
+      ENDIF
+
+      IF (PRESENT(coordinate_src_)) THEN
+        coordinate_src__tmp = cxios_is_defined_interpolate_axis_coordinate_src &
+      (interpolate_axis_hdl%daddr)
+        coordinate_src_ = coordinate_src__tmp
+      ENDIF
+
+      IF (PRESENT(extrapolate_)) THEN
+        extrapolate__tmp = cxios_is_defined_interpolate_axis_extrapolate &
+      (interpolate_axis_hdl%daddr)
+        extrapolate_ = extrapolate__tmp
+      ENDIF
+
       IF (PRESENT(order_)) THEN
         order__tmp = cxios_is_defined_interpolate_axis_order &
